Package: org.codehaus.groovy.grails.web.metaclass

## [Java] Class AbstractDynamicControllerMethod

- org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerMethod

- An abstract class for dynamic controller methods to implement.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected javax.servlet.http.HttpServletRequest` | `request` |
    `protected javax.servlet.http.HttpServletResponse` | `response` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractDynamicControllerMethod (java.util.regex.Pattern pattern, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethodInvocation` | `getPattern, invoke, isMethodMatch, setPattern`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected javax.servlet.http.HttpServletRequest request

    - #### protected javax.servlet.http.HttpServletResponse response

  - ### Constructor Detail

    - #### public AbstractDynamicControllerMethod(java.util.regex.Pattern pattern, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)